Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pmease.quickbuild.model
Class ConfigurationFacade

    java.lang.Object
      com.pmease.quickbuild.model.ConfigurationFacade

All Implemented Interfaces:
  java.io.Serializable

public class ConfigurationFacade
extends java.lang.Object
implements java.io.Serializable

Facade class for Configuration. Configuration is the core concept in QuickBuild. It contains all necessary informations to produce builds. Configurations are organized into a tree structure, so child configurations can inherit settings from parent configuration. This will greatly reduce the effort to create a new configuration.

See Also:
  Serialized Form

Constructor Summary
`ConfigurationFacade()`

Method Summary
`java.lang.Object` | `getBuildCleanupStrategy()` OGNL: Specify Build cleanup strategy of this configuration.
`java.util.List` | `getBuilders()` Specify the builder type here.
`java.lang.String` | `getBuildNecessaryCondition()` OGNL: This condition determines whether or not to generates a new build and run this build when a configuration is triggered.
`java.lang.String` | `getConfigurationSpecificPublishDir()` OGNL: Specify publish directory for this configuration.
`java.lang.String` | `getConfigurationSpecificWorkingDir()` OGNL: Specify working directory for this configuration.
`java.lang.String` | `getDescription()` OGNL: Get description of current build configuration object.
`int` | `getEntityVersion()`
`java.lang.String` | `getGuid()` OGNL: Get GUID of this configuration.
`java.lang.Long` | `getId()` Get identifer of this object.
`java.util.List` | `getLoginMappings()`
`java.lang.String` | `getLogLevel()` OGNL: Determines detail level of logs generated during triggering of this configuration, as well as logs of generated builds.
`java.lang.String` | `getName()` OGNL: Provide a name of this build configuration.
`java.lang.String` | `getNextBuildVersion()` OGNL: Get version for next build generated by this configuration.
`java.util.List` | `getNotifiers()` Specify the builder type here.
`java.lang.Long` | `getParent()` OGNL: Get parent build configuration of current configuration.
`java.lang.String` | `getQueueName()` OGNL: Configure build queue for this configuration.
`java.util.List` | `getRepositories()` Specify the repository type here.
`java.lang.Object` | `getSchedule()` OGNL: Select schedule type for this configuration.
`java.lang.String` | `getStatus()` OGNL: Get status of this configuration object.
`java.util.Date` | `getStatusDate()` OGNL: Get the date when this status is set.
`java.util.List` | `getSteps()` Specify the step type here.
`java.util.Map` | `getVariables()` Define variables for this configuration.
`boolean` | `isBuildCleanly()` OGNL: If true, run build cleanly.
`void` | `setBuildCleanly(boolean buildCleanly)`
`void` | `setBuildCleanupStrategy(java.lang.Object buildCleanupStrategy)`
`void` | `setBuilders(java.util.List builders)`
`void` | `setBuildNecessaryCondition(java.lang.String buildNecessaryCondition)`
`void` | `setConfigurationSpecificPublishDir(java.lang.String configurationSpecificPublishDir)`
`void` | `setConfigurationSpecificWorkingDir(java.lang.String configurationSpecificWorkingDir)`
`void` | `setDescription(java.lang.String description)`
`void` | `setEntityVersion(int entityVersion)`
`void` | `setGuid(java.lang.String guid)`
`void` | `setId(java.lang.Long id)`
`void` | `setLoginMappings(java.util.List loginMappings)`
`void` | `setLogLevel(java.lang.String logLevel)`
`void` | `setName(java.lang.String name)`
`void` | `setNextBuildVersion(java.lang.String nextBuildVersion)`
`void` | `setNotifiers(java.util.List notifiers)`
`void` | `setParent(java.lang.Long parent)`
`void` | `setQueueName(java.lang.String queueName)`
`void` | `setRepositories(java.util.List repositories)`
`void` | `setSchedule(java.lang.Object schedule)`
`void` | `setStatus(java.lang.String status)`
`void` | `setStatusDate(java.util.Date statusDate)`
`void` | `setSteps(java.util.List steps)`
`void` | `setVariables(java.util.Map variables)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigurationFacade

    public ConfigurationFacade()

Method Detail

### getName

    public java.lang.String getName()

  OGNL: Provide a name of this build configuration. Should be unique under the same parent.

### setName

    public void setName(java.lang.String name)

### getParent

    public java.lang.Long getParent()

  OGNL: Get parent build configuration of current configuration.

### setParent

    public void setParent(java.lang.Long parent)

### getRepositories

    public java.util.List getRepositories()

  Specify the repository type here.

### setRepositories

    public void setRepositories(java.util.List repositories)

### getBuilders

    public java.util.List getBuilders()

  Specify the builder type here.

### setBuilders

    public void setBuilders(java.util.List builders)

### getNotifiers

    public java.util.List getNotifiers()

  Specify the builder type here.

### setNotifiers

    public void setNotifiers(java.util.List notifiers)

### getSteps

    public java.util.List getSteps()

  Specify the step type here.

### setSteps

    public void setSteps(java.util.List steps)

### getLoginMappings

    public java.util.List getLoginMappings()

### setLoginMappings

    public void setLoginMappings(java.util.List loginMappings)

### getDescription

    public java.lang.String getDescription()

  OGNL: Get description of current build configuration object.

### setDescription

    public void setDescription(java.lang.String description)

### getStatus

    public java.lang.String getStatus()

  OGNL: Get status of this configuration object.

### setStatus

    public void setStatus(java.lang.String status)

### getStatusDate

    public java.util.Date getStatusDate()

  OGNL: Get the date when this status is set.

### setStatusDate

    public void setStatusDate(java.util.Date statusDate)

### getSchedule

    public java.lang.Object getSchedule()

  OGNL: Select schedule type for this configuration.

### setSchedule

    public void setSchedule(java.lang.Object schedule)

### getBuildNecessaryCondition

    public java.lang.String getBuildNecessaryCondition()

  OGNL: This condition determines whether or not to generates a new build and run this build when a configuration is triggered. When left empty, build necessary condition of parent configuration will be used.

### setBuildNecessaryCondition

    public void setBuildNecessaryCondition(java.lang.String buildNecessaryCondition)

### getNextBuildVersion

    public java.lang.String getNextBuildVersion()

  OGNL: Get version for next build generated by this configuration. When left empty, next build version of parent configuration will be used. This version string requires at least one digit available If there are no OGNL expressions embedded in. In this case, it will increase its last digit automatically upon every build, for example:
  quickbuild-1.9 will be increased to quickbuild-1.10
  quickbuild-1.5 (build 1000) will be increased to quickbuild-1.5 (build 1001)

### setNextBuildVersion

    public void setNextBuildVersion(java.lang.String nextBuildVersion)

### getConfigurationSpecificWorkingDir

    public java.lang.String getConfigurationSpecificWorkingDir()

  OGNL: Specify working directory for this configuration. This path is relative to working directory of its parent configuration. So value \".\" will refer to parent configuration's working directory.

### setConfigurationSpecificWorkingDir

    public void setConfigurationSpecificWorkingDir(java.lang.String configurationSpecificWorkingDir)

### getConfigurationSpecificPublishDir

    public java.lang.String getConfigurationSpecificPublishDir()

  OGNL: Specify publish directory for this configuration. This path is relative to publish directory of its parent configuration. So value \".\" will refer to parent configuration's publish directory.

### setConfigurationSpecificPublishDir

    public void setConfigurationSpecificPublishDir(java.lang.String configurationSpecificPublishDir)

### isBuildCleanly

    public boolean isBuildCleanly()

  OGNL: If true, run build cleanly. Otherwise, run build incremently..

### setBuildCleanly

    public void setBuildCleanly(boolean buildCleanly)

### getBuildCleanupStrategy

    public java.lang.Object getBuildCleanupStrategy()

  OGNL: Specify Build cleanup strategy of this configuration.

### setBuildCleanupStrategy

    public void setBuildCleanupStrategy(java.lang.Object buildCleanupStrategy)

### getLogLevel

    public java.lang.String getLogLevel()

  OGNL: Determines detail level of logs generated during triggering of this configuration, as well as logs of generated builds.

### setLogLevel

    public void setLogLevel(java.lang.String logLevel)

### getQueueName

    public java.lang.String getQueueName()

  OGNL: Configure build queue for this configuration.

### setQueueName

    public void setQueueName(java.lang.String queueName)

### getVariables

    public java.util.Map getVariables()

  Define variables for this configuration. These variables can then be referenced in OGNL expressions. For example: var[\"pathToAnt\"] will refer to value of variable pathToAnt. Variables also follow the inheritance and overriden rule, that is, for a particular variable name reference, QuickBuild will look for its value from current configuration to ancestor configurations, until the value has been found. Also value of these variables can be set from OGNL expressions, refer to user guide for details.

### setVariables

    public void setVariables(java.util.Map variables)

### getGuid

    public java.lang.String getGuid()

  OGNL: Get GUID of this configuration. Unique accross the world.

### setGuid

    public void setGuid(java.lang.String guid)

### getId

    public java.lang.Long getId()

  Get identifer of this object.

### setId

    public void setId(java.lang.Long id)

### getEntityVersion

    public int getEntityVersion()

### setEntityVersion

    public void setEntityVersion(int entityVersion)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 PMEase Inc. All Rights Reserved.